Bug 234835 - security/clamav: Update to 0.101.1
Summary: security/clamav: Update to 0.101.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-10 22:09 UTC by Yasuhiro KIMURA
Modified: 2019-01-19 15:21 UTC (History)
1 user (show)

See Also:


Attachments
patch file (8.11 KB, patch)
2019-01-10 22:09 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-01-10 22:09:40 UTC
Created attachment 201003 [details]
patch file

Update to 0.101.1.
Comment 1 commit-hook freebsd_committer 2019-01-13 19:32:37 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 13 19:32:18 UTC 2019
New revision: 490172
URL: https://svnweb.freebsd.org/changeset/ports/490172

Log:
  security/clamav: update to 0.101.1

  PR:		234835
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (maintainer)

Changes:
  head/security/clamav/Makefile
  head/security/clamav/distinfo
  head/security/clamav/pkg-plist
Comment 2 Steve Wills freebsd_committer 2019-01-13 19:33:21 UTC
Committed, thanks!
Comment 3 Jan Beich freebsd_committer 2019-01-19 14:12:00 UTC
A number of consumers fail to build after this update. Can you help with fixes?

https://pkg-status.freebsd.org/builds/default:default:112amd64:490335:beefy9#new_failed
Comment 4 Yasuhiro KIMURA 2019-01-19 15:21:06 UTC
(In reply to Jan Beich from comment #3)

I checked error log of these ports and thought breakages are caused by API change of libclamav. So fixing build failure requires support of new libclamav API by depending applications. And it should be done by upstreams and maintainers of depending ports.